import bb.cascades 1.2

SceneCover{
    id: active_frame
    function setText(){
        if(app.getPasswordStatus()){
            active_label.setText(qsTr("Password is enabled") + Retranslate.onLocaleOrLanguageChanged);
        }
        else{
            active_label.setText(qsTr("Password is disabled") + Retranslate.onLocaleOrLanguageChanged);
        }
    }
    content: Container {
        attachedObjects: [
            UiConfig {
                id: to
            }
        ]
        layout: DockLayout {
        
        }
        topPadding: to.sdu(1);
        leftPadding: to.sdu(1);
        rightPadding: to.sdu(1);
        background: Color.Black
        ImageView {
            preferredHeight: to.sdu(22.8)
            minHeight: to.sdu(11.4)
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            imageSource: "asset:///icons/app_icon.png"
            scalingMethod: ScalingMethod.AspectFit
        }
        Label {
            textStyle.color: Color.White
            textStyle.fontSize: FontSize.Small
            id: active_label
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Bottom
        }
    }
}
